Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 603900 - dev-libs/qcodeedit-2.2.3-r2 : document/qdocumentline.cpp:271:18: error: operands to ?: have different types ‘QDocument*’ and ‘bool’
Summary: dev-libs/qcodeedit-2.2.3-r2 : document/qdocumentline.cpp:271:18: error: opera...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard: Pending removal: 2017-08-14
Keywords: PMASKED
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-12-28 09:37 UTC by Toralf Förster
Modified: 2017-08-14 08:04 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-libs:qcodeedit-2.2.3-r2:20161228-043449.log (dev-libs:qcodeedit-2.2.3-r2:20161228-043449.log,10.84 KB, text/plain)
2016-12-28 09:37 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,375.35 KB, text/plain)
2016-12-28 09:37 UTC, Toralf Förster
Details
environment (environment,84.35 KB, text/plain)
2016-12-28 09:37 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,23.67 KB, application/x-bzip)
2016-12-28 09:37 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-12-28 09:37:19 UTC
x86_64-pc-linux-gnu-g++ -c -Werror=terminate -march=native -O2 -pipe -Wall -W -D_REENTRANT -fPIC -D_QCODE_EDIT_BUILD_ -DQNFA_BUILD -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Idocument -Ilanguage -Iwidgets -Iqnfa -I.build -I. -o .build/qdocumentline.o document/qdocumentline.cpp
document/qdocumentline.cpp: In member function ‘bool QDocumentLine::isValid() const’:
document/qdocumentline.cpp:271:18: error: operands to ?: have different types ‘QDocument*’ and ‘bool’
  return m_handle ? m_handle->document() : false;

         ~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named 13.0-unstable_20161218-132154) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  from make.conf:
USE="  pax_kernel xtpax -cdinstall -oci8 -bindist ssp gif gles2 jadetex minimal mpeg plotutils scrypt smartcard ssh-askpass ssl swscale system-icu system-libevent system-sqlite tcpd threads -truetype vaapi -video wav wma"

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.9.1

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.5 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy (fallback)

java-config:
The following VMs are available for generation-2:
  -----------------------------------------------------------------

versions: ~2.2.3 ~2.2.3-r2
assignee: maintainer-needed@gentoo.org
cc:       
--



$ cat emerge-info.txt
Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0, gcc-6.2.0, glibc-2.24, 4.8.15-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.15-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,   4870964 free
KiB Swap:   67108860 total,  67081672 free
Timestamp of repository gentoo: Wed, 28 Dec 2016 01:42:34 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo, 3.5.2::gentoo
dev-util/cmake:           3.7.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.23::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.10.3-r2::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.27::gentoo
sys-devel/gcc:            6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.9::gentoo (virtual/os-headers)
sys-libs/glibc:           2.24::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 99

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -Wall -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/omega.conf /etc/stunnel/stunnel.conf /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/qpsmtpd/plugins /var/lib/i2pd/certificates"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.1/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.1/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-Werror=terminate -march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm gif gles2 iconv ipv6 jadetex minimal mmx mmxext modules mpeg multilib ncurses nls nptl openmp pam pax_kernel pcre plotutils readline scrypt seccomp session smartcard sse sse2 ssh-askpass ssl ssp swscale system-icu system-libevent system-sqlite tcpd threads unicode vaapi wav wma xattr xtpax zlib" ABI_X86="32 64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="bs de-1901 et fo gn ku sat zh" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-12-28 09:37:26 UTC
Created attachment 457558 [details]
dev-libs:qcodeedit-2.2.3-r2:20161228-043449.log
Comment 2 Toralf Förster gentoo-dev 2016-12-28 09:37:29 UTC
Created attachment 457560 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-12-28 09:37:32 UTC
Created attachment 457562 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2016-12-28 09:37:34 UTC
Created attachment 457564 [details]
etc.portage.tbz2
Comment 5 Pacho Ramos gentoo-dev 2017-06-04 18:51:01 UTC
Nothing needs this in the tree
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-08-14 08:04:29 UTC
commit e24e17099fd5bc959c4e7d36eb94264498053dd4
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: Mon Aug 14 09:59:39 2017
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: Mon Aug 14 10:02:54 2017

    dev-libs/qcodeedit: Remove last-rited pkg, #603900

 dev-libs/qcodeedit/Manifest                        |  1 -
 .../files/qcodeedit-2.2.3-fix-parallel-build.patch | 15 ---------
 dev-libs/qcodeedit/metadata.xml                    |  8 -----
 dev-libs/qcodeedit/qcodeedit-2.2.3-r2.ebuild       | 37 ----------------------
 dev-libs/qcodeedit/qcodeedit-2.2.3.ebuild          | 30 ------------------
 profiles/package.mask                              |  5 ---
 6 files changed, 96 deletions(-)